| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::MergeRobertson Class Referenceabstract
Computational Photography » HDR imaging

The resulting HDR image is calculated as weighted average of the exposures considering exposure values and camera response. More...

`#include <opencv2/photo.hpp>`

Collaboration diagram for cv::MergeRobertson:

## Public Member Functions
virtual void | process (InputArrayOfArrays src, OutputArray dst, InputArray times)=0
virtual void | process (InputArrayOfArrays src, OutputArray dst, InputArray times, InputArray response) CV_OVERRIDE=0
| Merges images.
Public Member Functions inherited from cv::MergeExposures
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

The resulting HDR image is calculated as weighted average of the exposures considering exposure values and camera response.

For more information see [228] .

## Member Function Documentation

## ◆ process() [1/2]

virtual void cv::MergeRobertson::process | ( | InputArrayOfArrays | src,
|  | OutputArray | dst,
|  | InputArray | times )
| pure virtual

Python:
| cv.MergeRobertson.process( | src, times, response[, dst] | ) -> | dst
| cv.MergeRobertson.process( | src, times[, dst] | ) -> | dst

## ◆ process() [2/2]

virtual void cv::MergeRobertson::process | ( | InputArrayOfArrays | src,
|  | OutputArray | dst,
|  | InputArray | times,
|  | InputArray | response )
| pure virtual

Python:
| cv.MergeRobertson.process( | src, times, response[, dst] | ) -> | dst
| cv.MergeRobertson.process( | src, times[, dst] | ) -> | dst

Merges images.

Parameters

  src | vector of input images
  dst | result image
  times | vector of exposure time values for each image
  response | 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images.

Implements cv::MergeExposures.

The documentation for this class was generated from the following file:

- opencv2/photo.hpp